For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet tax rate accounts
      • POSTCreate a new tax rate
      • GETGet a tax rate account by ID
      • DELDelete a tax rate
      • PATCHUpdate a tax rate
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementAccounting tax rates

Get a tax rate account by ID

GET
/accounting_tax_rates/:tax_rate_id
GET
/v1/accounting_tax_rates/:tax_rate_id
$curl https://api.sandbox.monite.com/v1/accounting_tax_rates/tax_rate_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "code": "code",
6 "components": [
7 {
8 "is_compound": true,
9 "name": "name",
10 "rate": 1
11 }
12 ],
13 "description": "description",
14 "effective_tax_rate": 1,
15 "is_external": true,
16 "name": "name",
17 "status": "status",
18 "total_tax_rate": 1
19}
Get tax rate account by id
Was this page helpful?
Previous

Delete a tax rate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tax_rate_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The timestamp when the tax rate was created.
updated_atdatetime
The timestamp when the tax rate was last updated.
codestring
Code for the tax rate from the accounting platform.
componentslist of objects
descriptionstring
Description of the tax rate
effective_tax_rateinteger

Effective tax rate in percent minor units. Example: 12.5% is 1250.

is_externalbooleanDefaults to false
Whether the tax rate is from an external system
namestring
statusstring
total_tax_rateinteger

Total (not compounded) sum of the components of a tax rate in minor units. Example: 12.5% is 1250.

Errors

400
Get Accounting Tax Rates ID Request Bad Request Error
401
Get Accounting Tax Rates ID Request Unauthorized Error
403
Get Accounting Tax Rates ID Request Forbidden Error
404
Get Accounting Tax Rates ID Request Not Found Error
422
Get Accounting Tax Rates ID Request Unprocessable Entity Error
500
Get Accounting Tax Rates ID Request Internal Server Error